# MultipartRequestImpl - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.media.base / MultipartRequestImpl

# MultipartRequestImpl

(common) `class MultipartRequestImpl<D : DataRequest<R>, F, R : Any> : MultipartRequest<R>` (source)

### Constructors

(common)

#### <init>

`MultipartRequestImpl(data: D, files: F)`

### Properties

(common)

#### data

`val data: D`

(common)

#### files

`val files: F`

(common)

#### mediaMap

`val mediaMap: Map<String, MultipartFile>`

(common)

#### paramsJson

`val paramsJson: JsonObject`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<R>`

### Functions

(common)

#### method

`fun method(): String`